function z=fct2D(x,y,function_type)

%-------------------------------------------------------------------------------
% FUNCTION DEFINITION.
%-------------------------------------------------------------------------------
%
% INPUT:
%
% [x,y]: EVALUATE THE FUNCTION IN THE POINTS (x,y). "x", "y" ARE COLUMN VECTORS.
%
% [function_type]: PARAMETER THAT CHOOSES THE FUNCTION.
%
% OUTPUT:
%
% [z]: VALUE OF THE FUNCTION IN THE POINTS (x,y). IT IS A COLUMN VECTOR.
%
%-------------------------------------------------------------------------------

switch function_type
    case 1
        z=franke(x,y);
    case 2
        z=( (x-0.5).^2 +(y-0.5).^2 ).^(1/2);
    case 3
        z=(x+y).^19;
    case 4
        loc_arg=(x-0.5).^2+(y-0.5).^2;
        z=exp(loc_arg);
    case 5
        loc_arg=(x-0.5).^2+(y-0.5).^2;
        z=exp(-100*loc_arg);;
    case 6
        z=cos(30*(x+y));
    case 7
        z=ones(size(x));
    case 8
        z=exp(5*(x-y));
    case 9
        z=exp(-x.^2-y.^2);
    case 10
        z=1./(1+25*(x.^2+y.^2));
    case 11
        z=1./(1+25*(abs(x)+abs(y)));
            case 12
        z=cos(20*(x+y));
end


